summarylogtreecommitdiffstats
path: root/lx-music-desktop.install
diff options
context:
space:
mode:
authorFeng Yu2020-10-03 12:02:52 +0800
committerFeng Yu2020-10-03 12:02:52 +0800
commitdc57365fcb2a4a49fc441065d3feb5c9331a8bc1 (patch)
tree9e9e5dde2a5fadc0d851b4ac0b93e9279726ef84 /lx-music-desktop.install
parentd7bd0d2afe52ad61072bcc5966704c1fce3a5dde (diff)
downloadaur-dc57365fcb2a4a49fc441065d3feb5c9331a8bc1.tar.gz
Upgrade to 1.2.0
Diffstat (limited to 'lx-music-desktop.install')
-rw-r--r--lx-music-desktop.install22
1 files changed, 22 insertions, 0 deletions
diff --git a/lx-music-desktop.install b/lx-music-desktop.install
new file mode 100644
index 000000000000..7e42ad4baaa2
--- /dev/null
+++ b/lx-music-desktop.install
@@ -0,0 +1,22 @@
+post_install() {
+ :
+#!/bin/bash
+
+# Link to the binary
+ln -sf '/opt/lx-music-desktop/lx-music-desktop' '/usr/bin/lx-music-desktop'
+
+# SUID chrome-sandbox for Electron 5+
+chmod 4755 '/opt/lx-music-desktop/chrome-sandbox' || true
+
+update-mime-database /usr/share/mime || true
+update-desktop-database /usr/share/applications || true
+
+}
+post_remove() {
+ :
+#!/bin/bash
+
+# Delete the link to the binary
+rm -f '/usr/bin/lx-music-desktop'
+
+}